
package de.ivu.elect.presentation.benutzerverwaltung.exchange;

import de.ivu.elect.business.exchange.entity.DateiImportArt;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.jee.exchange.ImportOptions;
import de.ivu.elect.presentation.benutzerverwaltung.menu.BenutzerverwaltungPageMenu;
import de.ivu.elect.presentation.exchange.ImportDescription;

public class BenutzerImportDescription implements ImportDescription {

  private static final long serialVersionUID = 1L;

  public BenutzerImportDescription() {
    super();
  }

  @Override
  public String getImportSearchViewId() {
    return BenutzerImportSearchView.VIEW_ID;
  }

  @Override
  public String getImportFormatFestlegenViewId() {
    return BenutzerImportFormatFestlegenView.VIEW_ID;
  }

  @Override
  public String getImportBestaetigenViewId() {
    return BenutzerImportBestaetigenView.VIEW_ID;
  }

  @Override
  public DateiImportArt getDateiImportArt() {
    return DateiImportArt.BENUTZER_IMPORT;
  }

  @Override
  public boolean isConfirmationForImportNeeded() {
    return false;
  }

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.BENUTZER_IMPORTIEREN;
  }

  @Override
  public boolean isSpecificPerWahlOrWahltermin() {
    return false;
  }

  @Override
  public String getPageMenuComponentName() {
    return BenutzerverwaltungPageMenu.COMPONENT_NAME;
  }

  @Override
  public ImportOptions getDefaultImportOptions() {
    return ImportOptions.NEUE_DATEN_ANLEGEN_BESTEHENDE_DATEN_UNVERAENDERT_LASSEN;
  }
}
